
Redmine - Defect #4608

Mail attachment name encoding is incorectly handled

2010-01-19 12:17 - Anton Statutov

Status: Closed Start date: 2010-01-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.8.7

Description

When I'm sending messages with utf-8 or windows-1251 or koi8-r encodings in attachment names they are handled incorrectly.

Please look attachments for example.

Related issues:

Related to Redmine - Feature #2371: character encoding for attachment file Closed 2008-12-22

Related to Redmine - Defect #12399: Non ASCII attachment filename encoding br... Closed

History

#1 - 2010-01-19 12:22 - Anton Statutov

Ruby version              1.8.7 (i386-freebsd7)

RubyGems version          1.3.5

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /usr/home/redmine/redmine.we

Environment               development

Database adapter          mysql

#2 - 2010-01-29 14:43 - Emils Klotins

Confirmed, this happens when creating issues via e-mail from Outlook/Exchange -- the subject line/issue subject gets eg. Latvian Unicode chars

translated into Japanese(?) chars

Redmine 0.8.4.stable (MySQL)

SuSE 10.2 x86-64

Microsoft Exchange 2007

Redmine server language settings:

LANG=lv_LV.UTF-8

LC_CTYPE="lv_LV.UTF-8"

LC_NUMERIC="lv_LV.UTF-8"

LC_TIME="lv_LV.UTF-8"

LC_COLLATE="lv_LV.UTF-8"

LC_MONETARY="lv_LV.UTF-8"

LC_MESSAGES="lv_LV.UTF-8"

LC_PAPER="lv_LV.UTF-8"

LC_NAME="lv_LV.UTF-8"

LC_ADDRESS="lv_LV.UTF-8"

LC_TELEPHONE="lv_LV.UTF-8"

LC_MEASUREMENT="lv_LV.UTF-8"

LC_IDENTIFICATION="lv_LV.UTF-8"

LC_ALL=

#3 - 2010-05-01 23:46 - Rodion S

I get this error too

Is resolution founded ?
#4 - 2010-06-09 10:52 - Anton Statutov

- Assignee set to Azamat Hackimov

#5 - 2011-02-01 13:08 - Anton Statutov

- Assignee deleted (Azamat Hackimov)

#6 - 2011-02-25 05:03 - Kazuyuki Ohgushi

This article (Japanese) may help this ticket

http://blog.redmine.jp/articles/mail-handler-subject-fix/

Japanese -> English

http://translate.google.co.jp/translate?js=n&prev=_t&hl=ja&ie=UTF-8&layout=2&eotf=1&sl=ja&tl=en&u=http%3A%2F%2Fblog.redmine.jp%2Farticles

%2Fmail-handler-subject-fix%2F&act=url

#7 - 2015-04-29 12:08 - Toshi MARUYAMA

- Related to deleted (Patch #2059: broken subject when submitting issue via email written in japanese)

#8 - 2015-04-29 12:13 - Toshi MARUYAMA

- Status changed from New to Closed

This issue is too old.

Ruby 1.8 support was dropped on Redmine 3.x.

#9 - 2015-04-29 12:17 - Toshi MARUYAMA

I think this issue is fixed by #12399.

#10 - 2015-04-29 12:17 - Toshi MARUYAMA

- Related to Defect #12399: Non ASCII attachment filename encoding broken (MOJIBAKE) in receiving mail on Ruby 1.8 added

Files

attachment_test.eml 1.06 KB 2010-01-19 Anton Statutov

проверка_вложений.txt 31 Bytes 2010-01-19 Anton Statutov

RgNC_0LLQtdGA0LrQsCDQstC70L7QttC10L3QuNC5LnR4dA____ 31 Bytes 2010-01-19 Anton Statutov
